import java.util.ArrayList;
/**
 * Write a description of class LockedRoom here.
 * 
 * @author Peter Dordal 
 * @version Nov 2006
 */
public class SerpentRoom extends Room
{
    private boolean serpent_happy = false;

    /**
     * Constructor for objects of class DragonRoom
     */
    public SerpentRoom(String description)
    {
        super(description);
    }

    public Room getExit(String direction, Player p) 
    {
        if (!serpent_happy && direction.equals("up")){
            System.out.println("The door snapped shut and the giant serpent blocks your way");
            return null;
        } else {
            return super.getExit(direction, p);
        }
    }

    /**
     * respond specially to GIVE COOKIE, GIVE GLOWING_DONUT, and TAKE SERPENT.
     */
    public void respond(Command c, Player p) {
        ArrayList<Item> inventory = p.getInventory();
        String commandWord = c.getCommandWord();
        String object = c.getSecondWord();
        if (commandWord.equals("give")) {
            if (object.equals("cookie")) {      
                Item cookieItem = Game.findByName("cookie", inventory);
                if (cookieItem == null) {
                    System.out.println("Oops! You ended up down here without a cookie!");
                    return;
                }
                // now we know we have the cookie
                System.out.println("The serpent gobbles up the cookie and slithers away");
                serpent_happy = true;
                setDescription("in a dark steam tunnel beneath campus");
                inventory.remove(cookieItem);
                addItem(new Item("key"));
                return;
            } else if (object.equals("glowing_donut")) {
                Item donut = Game.findByName("glowing_donut", inventory);
                if (donut == null) {
                    System.out.println("You don't have the donut!");
                    return;
                }
                // now we know we have the donut
                System.out.println("The serpent gobbles up the strangely-glowing donut."
                                + "\nIt is still for a moment, and then an eerie transfiguration begins."
                                + "\nThe serpent thrashes and shrinks, and turns into a little snake.");
                serpent_happy = true;
                setDescription("in a dark steam tunnel beneath campus");
                inventory.remove(donut);
                addItem(new Item("snake"));
                return;
                
            }else {
                System.out.println("You can't give that!");
                return;
            }
        } else if (commandWord.equals("take") && object.equals("serpent")) {
            System.out.println("the serpent is WAAAY too big to pick up");
        } else {
            super.respond(c, p);
        }
    }

}
