import java.util.ArrayList;
/**
 * One can have a set of ValveRooms, all sharing the same state of "water level".
 * Only one room, though, is likelkky to have an actual valve.
 * The others allow the direction "wetdirection" only if the valve is open.
 * "wetproblem" is a description of the wetness
 * See the constructor!
 * 
 * Note that valve_open MUST BE STATIC!!! (so it is shared by all)
 * 
 * @author Peter Dordal 
 * @version April 1, 2006
 */
public class ValveRoom extends Room
{
    // instance variables - replace the example below with your own
    private static boolean valve_open = false;
    private boolean hasvalve;
    private String wetdirection, wetproblem;

    /**
     * Constructor for objects of class DragonRoom
     */
    public ValveRoom(boolean hasvalve, String wetdirection, 
                    String description, String wetproblem) {
        super(description);
        this.hasvalve = hasvalve;
        this.wetdirection = wetdirection;
        this.wetproblem = wetproblem;
        valve_open = false;
    }

    public Room getExit(String direction, Player p) 
    {
        //System.out.println("exiting valveroom with direction " + direction);
        if (!valveopen() && direction.equals(wetdirection)){
            System.out.println(wetproblem);
            return null;
        } else {
            return super.getExit(direction, p);
        }
    }

    /**
     * ValveRoom.respond: special command is TURN VALVE
     */
    public void respond(Command c, Player p) {
        String commandWord = c.getCommandWord();
        String object = c.getSecondWord();
        if (hasvalve && commandWord.equals("turn")) {
            if (object.equals("valve")) {      
                valve_open = true;
                System.out.println("There is an enormous sound of water in the pipes below");
                return;
            } else {
                System.out.println("You can't turn that!");
                return;
            }
        } else {
            super.respond(c, p);
        }
    }
    
    private boolean valveopen() {
        return valve_open;
    }

}
