import java.util.ArrayList;

/**
 * Write a description of class ZooRoom here.
 * 
 * @author Peter Dordal 
 * @version April 2006
 */
public class ZooRoom extends Room
{
    // instance variables - replace the example below with your own
    private boolean has_snake = false;
    private String snakename = "Pepe";

    public ZooRoom(String desc)
    {
        super(desc);
    }

    /**
     * note how getShortDescription works with the basic room description
     * and adds to it as appropriate.
     */
    public String getShortDescription(Player p) {
        String basic_desc = super.getShortDescription(p);
        if (has_snake) {
            return basic_desc +
                "\nA small snake occupies a prominent glass cage in the center";
        }else {
            return basic_desc 
              + "\nAn empty and open glass cage sits in the middle"
              + "\nA tired man sits at a desk weeping and asking \"where could he be?\"";
        }
    }
    
    /**
     * responds to GIVE SNAKE, GIVE COOKIE
     */
    public void respond(Command c, Player p) {
        String commandWord = c.getCommandWord();
        String object = c.getSecondWord();
        if (commandWord.equals("give")) {
            if (object.equals("snake")) {
                Item snake = Game.findByName("snake", p.getInventory());
                if (snake == null) {
                    System.out.println("you don't have the snake");
                    return;
                }
                has_snake = true;
                System.out.println(
                    "YOU HAVE FOUND " + snakename + ", says the man, beaming."
                   +"\nHe takes the snake and places him into the empty cage,"
                   +"\nand closes it."
                   +"\nAs a reward, he gives you a frosted donut"
                );
                p.getInventory().add(new Item("frosted_donut"));
                return;
            } else if (object.equals("cookie")) {
                Item cookie = Game.findByName("cookie", p.getInventory());
                if (cookie == null) {
                    System.out.println("you don't have the cookie");
                    return;
                }
                p.getInventory().remove(cookie);
                System.out.println(
                    "The sad man munches the cookie, and asks you"
                    +"\nif you have seen his beloved snake "
                    + snakename);
            } else {
                System.out.println("you can't give that here");
                return;
            }
        } else {
            super.respond(c, p);
        }
    }
}
